| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Public Attributes | List of all members
IG.Lib.ThreadPerformanceData Struct Reference

Stores results of performance test. More...

## Public Member Functions
void | CopyFrom (ThreadPerformanceData data)
| Copies data from another ThreadPerformanceData structure. More...
override string | ToString ()

## Public Attributes
DateTime | Time
| Time at which data has been acquired. More...
double | NumCycles
| Number of standard cycles executed in the test. More...
double | CyclesPerSecond
| Number of standard cycles per second - the ultimate performance measure. Standard cycle is executed by ThreadPerformanceTest.StandardCycle(). More...
double | PerformanceRatio
| Ratio between the CPU time and wall clock time spent for the test. Indicates how much the CPU is loaded (the smaller the value, teh more it is loaded). Should be between 0 and 1. More...
double | TotalTime
| Total wallclock time spent for the test. More...
int | NumIterations
| Number of iterations necessary to hit the requested time interval. More...

## Detailed Description

Stores results of performance test.

## Member Function Documentation

void IG.Lib.ThreadPerformanceData.CopyFrom | ( | ThreadPerformanceData | data | ) |
| inline

Copies data from another ThreadPerformanceData structure.

Parameters

  data |

References IG.Lib.ThreadPerformanceData.CyclesPerSecond, IG.Lib.ThreadPerformanceData.NumCycles, IG.Lib.ThreadPerformanceData.PerformanceRatio, IG.Lib.ThreadPerformanceData.Time, and IG.Lib.ThreadPerformanceData.TotalTime.

override string IG.Lib.ThreadPerformanceData.ToString | ( |  | ) |
| inline

Referenced by IG.Lib.ThreadPerformanceTest.ToString().

## Member Data Documentation

DateTime IG.Lib.ThreadPerformanceData.Time

Time at which data has been acquired.

Referenced by IG.Lib.ThreadPerformanceData.CopyFrom(), IG.Lib.ThreadPerformanceTest.TestPerformance(), and IG.Lib.ThreadPerformanceTest.TestPerformanceNum().

double IG.Lib.ThreadPerformanceData.NumCycles

Number of standard cycles executed in the test.

Referenced by IG.Lib.ThreadPerformanceData.CopyFrom(), IG.Lib.ThreadPerformanceTest.TestPerformance(), and IG.Lib.ThreadPerformanceTest.TestPerformanceNum().

double IG.Lib.ThreadPerformanceData.CyclesPerSecond

Number of standard cycles per second - the ultimate performance measure. Standard cycle is executed by ThreadPerformanceTest.StandardCycle().

Referenced by IG.Lib.ThreadPerformanceData.CopyFrom(), IG.Lib.ThreadPerformanceTest.TestPerformance(), and IG.Lib.ThreadPerformanceTest.TestPerformanceNum().

double IG.Lib.ThreadPerformanceData.PerformanceRatio

Ratio between the CPU time and wall clock time spent for the test. Indicates how much the CPU is loaded (the smaller the value, teh more it is loaded). Should be between 0 and 1.

Referenced by IG.Lib.ThreadPerformanceData.CopyFrom(), IG.Lib.ThreadPerformanceTest.TestPerformance(), and IG.Lib.ThreadPerformanceTest.TestPerformanceNum().

double IG.Lib.ThreadPerformanceData.TotalTime

Total wallclock time spent for the test.

Referenced by IG.Lib.ThreadPerformanceData.CopyFrom(), IG.Lib.ThreadPerformanceTest.TestPerformance(), and IG.Lib.ThreadPerformanceTest.TestPerformanceNum().

int IG.Lib.ThreadPerformanceData.NumIterations

Number of iterations necessary to hit the requested time interval.

Referenced by IG.Lib.ThreadPerformanceTest.TestPerformance(), and IG.Lib.ThreadPerformanceTest.TestPerformanceNum().

The documentation for this struct was generated from the following file:

- igbase/0unsorted/ThreadPerformanceTest.cs